AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- AuthenticatorComponentCore
  - AuthenticatorIonicComponent

### Implements

- any

## Index

### Constructors

- constructor

### Properties

- _signUpConfig
- amplifyService
- hide

### Accessors

- data
- signUpConfig

### Methods

- ngOnInit
- shouldHide
- subscribe

### Object literals

- authState

## Constructors

### constructor

- new AuthenticatorIonicComponent(amplifyService: AmplifyService): AuthenticatorIonicComponent

- Overrides AuthenticatorComponentCore.constructor

  - Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.ionic.ts:66

  #### Parameters

  - ##### amplifyService: AmplifyService

  #### Returns AuthenticatorIonicComponent

## Properties

### _signUpConfig

_signUpConfig: any

Inherited from AuthenticatorComponentCore._signUpConfig

- Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:69

### Protected amplifyService

amplifyService: AmplifyService

Overrides AuthenticatorComponentCore.amplifyService

- Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.ionic.ts:68

### hide

hide: string[] = []

Inherited from AuthenticatorComponentCore.hide

- Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:93

## Accessors

### data

data:

Inherited from AuthenticatorComponentCore.data

- Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:96

### signUpConfig

signUpConfig:

Inherited from AuthenticatorComponentCore.signUpConfig

- Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:106

## Methods

### ngOnInit

- ngOnInit(): void

- Inherited from AuthenticatorComponentCore.ngOnInit

  - Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:74

  #### Returns void

### shouldHide

- shouldHide(comp: any): boolean

- Inherited from AuthenticatorComponentCore.shouldHide

  - Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:124

  #### Parameters

  - ##### comp: any

  #### Returns boolean

### subscribe

- subscribe(): void

- Inherited from AuthenticatorComponentCore.subscribe

  - Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:110

  #### Returns void

## Object literals

### authState

authState: object

Inherited from AuthenticatorComponentCore.authState

- Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:65

### state

state: string = "loading"

- Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:66

### user

user: null = null

- Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.component.core.ts:67